import { SfCommand } from '@salesforce/sf-plugins-core';
import { PRESETS_PROP } from '../../../utils/convertBehavior.js';
export type SourceBehaviorResult = {
    [PRESETS_PROP]: string[];
    deletedFiles: string[];
    createdFiles: string[];
};
export default class ConvertSourceBehavior extends SfCommand<SourceBehaviorResult> {
    static readonly summary: string;
    static readonly description: string;
    static readonly examples: string[];
    static readonly state = "beta";
    static readonly requiresProject = true;
    static readonly flags: {
        behavior: import("@oclif/core/interfaces").OptionFlag<string, import("@oclif/core/interfaces").CustomOptions>;
        'dry-run': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'preserve-temp-dir': import("@oclif/core/interfaces").BooleanFlag<boolean>;
        'target-org': import("@oclif/core/interfaces").OptionFlag<import("@salesforce/core").Org, import("@oclif/core/interfaces").CustomOptions>;
    };
    run(): Promise<SourceBehaviorResult>;
}
