import { FileResponse, FileResponseFailure, FileResponseSuccess } from '@salesforce/source-deploy-retrieve';
export declare function tableHeader(message: string): string;
export declare const makePathRelative: <T extends FileResponse | FileResponseSuccess | FileResponseFailure>(fr: T) => T;
/**
 * Sorts file responds by type, then by filePath, then by fullName
 */
export declare const fileResponseSortFn: (i: FileResponse, j: FileResponse) => number;
export declare const exitCodeAsNumber: () => number | undefined;
export declare const getZipFileSize: (bytes: number) => string;
/** oclif table doesn't like "interface" but likes "type".  SDR exports an interface  */
export declare const getFileResponseSuccessProps: (s: FileResponseSuccess) => Pick<FileResponseSuccess, "filePath" | "fullName" | "state" | "type">;
export declare function error(message: string): string;
export declare function success(message: string): string;
export declare const check: string;
