import { ComponentSet, ForceIgnore, SourceComponent } from '@salesforce/source-deploy-retrieve';
import { SourceTracking } from '@salesforce/source-tracking';
type BaseOperation = 'deploy' | 'retrieve';
export type PreviewFile = {
    fullName: string;
    type: string;
    conflict: boolean;
    ignored: boolean;
    path?: string;
    projectRelativePath?: string;
    operation?: BaseOperation | 'deletePost' | 'deletePre';
};
export type PreviewResult = {
    ignored: PreviewFile[];
    conflicts: PreviewFile[];
    toDeploy: PreviewFile[];
    toDelete: PreviewFile[];
    toRetrieve: PreviewFile[];
};
export declare const compileResults: ({ componentSet, projectPath, filesWithConflicts, forceIgnore, baseOperation, remoteDeletes, }: {
    componentSet: ComponentSet;
    projectPath: string;
    filesWithConflicts: Set<string>;
    forceIgnore: ForceIgnore;
    baseOperation: BaseOperation;
    remoteDeletes?: SourceComponent[];
}) => PreviewResult;
export declare const printTables: (result: PreviewResult, baseOperation: BaseOperation, concise?: boolean) => void;
export declare const getConflictFiles: (stl?: SourceTracking, ignore?: boolean) => Promise<Set<string>>;
export {};
